<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$pid = (int) inSql($_POST['pid']);
if ($pid < 1 || $pid > 255)
    die("id必须是1-255之间的整数。");
$name = inSql($_POST['name']);
preg_match('/^(\S){1,40}$/', $name) or die("1-40个各种字符的组合！");
$powerSelect = rtrim(inSql($_POST['powerSelect']), '|');
if ($id) {
    $query = "UPDATE `${cfg_dbprefix}admin_power` SET name='${name}',content='${powerSelect}' WHERE id=$id;";
    $nxsql->query($query);
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    $nxsql->inLog($title);
    exit('2');
} else {
    $query = "INSERT INTO `${cfg_dbprefix}admin_power` (id,name,content) VALUES ('${pid}','${name}','${powerSelect}');";
    $nxsql->query($query);
    $nxsql->errno == 1062 && die('id已经存在！');
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    $id = $nxsql->insert_id;
    $nxsql->inLog($title . $id);
    exit('1');
}

